<template>
  <div class="main p-top-60 category-detail-section" :class="{'mobile': isMobileGlobal()}">
    <h2 class="title" v-if="!isMobileGlobal()">{{ title }}</h2>
    <br v-if="!isMobileGlobal()">
    <div class="sub-title">Category {{ $route.params.id }}</div>
    <p>Each Vue instance goes through a series of initialization</p>
    <a-row :gutter="16">
      <a-col class="gutter-row" :span="6" :xs="{ span: 12 }" :md="{ span: 8 }" :lg="{ span: 6 }"
             :xl="{ span: 4 }" v-for="(i, ind) in list" :key="ind">
        <div class="product-item">
          <router-link :to="{ name: 'ProductDetail', params: {id: i}}">
            <div class="wrap-image square">
              <img :src="`img/category` + i + `.jpg`">
            </div>
          </router-link>
          <router-link :to="`shopping/product/`+i">
            <h5 class="title">Product {{ $route.params.id + ` - (` + i + `)` }}</h5>
          </router-link>
          <p class="price">1.392.000 VND</p>
        </div>
      </a-col>
    </a-row>
    <br/>
    <div class="load-more">
      <a-button type="primary" icon="info-circle" @click="loadMore"
        style="background: transparent;" size="large">
        View more
      </a-button>
    </div>
  </div>
</template>

<script>
const list = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]

export default {
  data() {
    return {
      title: 'Products',
      list: list,
    }
  },

  methods: {
    isMobile() {
      if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        return true
      } else {
        return false
      }
    },
    loadMore() {
      this.list = [...this.list, ...list];
    },
  },
}

</script>

<style scoped>
@import "../../css/default.css";

.product-item .title{
  font-size: 18px;
  text-transform: uppercase;
  padding: 5px 0;
  font-weight: 400;
}
.product-item:hover img {
   opacity: 0.7;
 }

.wrap-image img {
  opacity: 0.5;
}
.product-item .title {
  color: #F1F1F1 !important;
}

/* Mobile Style */
.mobile {
  padding-top: 0;
}
.mobile .sub-title {
  font-weight: 500;
  font-size: 16px;
  color: #FFFFFF;
}
.mobile .product-item .title {
  font-weight: 500;
  font-size: 14px;
  margin-bottom: 0;
}
</style>
